Documentation · API reference
PUT
/api/v1/me/setupFold, open or hide the card; shown again from Settings
This page as Markdown, or in an AI chatMore ways to read this page
Fold, open or hide the card; shown again from Settings.
# Fold, open or hide the card; shown again from Settings
> tidekeeper's API reference: https://tidekeeper.eu/docs/api/put-me-setup
`PUT /api/v1/me/setup`
Fold, open or hide the card; shown again from Settings.
## What to send
`SetupCard`: What the card is now: `folded`, `open` or `hidden`.
- `how` (string, needed)
## The answer
204
## Asking
```sh
curl -X PUT https://tidekeeper.eu/api/v1/me/setup \
-H "Authorization: Bearer $TIDEKEEPER_TOKEN" \
-H "Content-Type: application/json" \
-d '{"how": "…"}'
```
What to send
SetupCard What the card is now: `folded`, `open` or `hidden`.
- how
- stringneeded
The answer
Status 204
Asking
curl -X PUT https://tidekeeper.eu/api/v1/me/setup \ -H "Authorization: Bearer $TIDEKEEPER_TOKEN" \ -H "Content-Type: application/json" \ -d '{"how": "…"}'
const answer = await fetch("https://tidekeeper.eu/api/v1/me/setup", { method: "PUT", headers: { Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`, "Content-Type": "application/json", }, body: JSON.stringify({"how": "…"}), }).then((r) => r.json());